Security Enhanced Linux Reference Policy

# Layer: services

## Module: ppp

Tunables Interfaces

### Description:

Point to Point Protocol daemon creates links in ppp networks

### Tunables:

pppd_can_insmod

##### Default value

false

##### Description

Allow pppd to load kernel modules for certain modems

pppd_for_user

##### Default value

false

##### Description

Allow pppd to be run for a regular user

Return

### Interfaces:

ppp_admin( domain )

##### Summary

All of the rules required to administrate an ppp environment

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ppp_domtrans( domain )

##### Summary

Execute domain in the ppp domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ppp_dontaudit_use_fds( domain )

##### Summary

Do not audit attempts to inherit and use PPP file discriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

ppp_exec( domain )

##### Summary

Execute domain in the ppp caller.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ppp_initrc_domtrans( domain )

##### Summary

Execute ppp server in the ntpd domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

ppp_kill( domain )

##### Summary

Send ppp a kill signal

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ppp_manage_pid_files( domain )

##### Summary

Create, read, write, and delete PPP pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ppp_pid_filetrans( domain )

##### Summary

Create, read, write, and delete PPP pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ppp_read_config( domain )

##### Summary

Read ppp configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ppp_read_pid_files( domain )

##### Summary

Read PPP pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ppp_read_rw_config( domain )

##### Summary

Read PPP-writable configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ppp_read_secrets( domain )

##### Summary

Read PPP secrets.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ppp_run( domain , role )

##### Summary

Unconditionally execute ppp daemon on behalf of a user or staff type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to allow the ppp domain.

ppp_run_cond( domain , role )

##### Summary

Conditionally execute ppp daemon on behalf of a user or staff type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to allow the ppp domain.

ppp_sigchld( domain )

##### Summary

Send a SIGCHLD signal to PPP.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ppp_signal( domain )

##### Summary

Send a generic signal to PPP.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ppp_signull( domain )

##### Summary

Send a generic signull to PPP.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ppp_use_fds( domain )

##### Summary

Use PPP file discriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return